﻿/*----- Chữ chạy----- */
.news-ticker {
	width: 100%;
	overflow: hidden; /* Ẩn phần thừa bên ngoài */
	white-space: nowrap; /* Không cho xuống dòng */
	display: flex;
	background: #f8f9fa; /* Màu nền tùy chọn */
	padding: 10px 0;
	margin-bottom:20px;
}

.ticker-content {
	display: inline-block;
	padding-left: 0;
	animation: ticker-move 60s linear infinite; /* 30s là tốc độ, càng nhỏ càng nhanh */
}

	.ticker-content a {
		text-decoration: none;
		color: #333;
		font-weight: bold;
		margin: 0 10px;
	}

/* Định nghĩa chuyển động */
@keyframes ticker-move {
	0% {
		transform: translateX(0);
	}

	100% {
		transform: translateX(-100%);
	}
}

/* Tạm dừng khi di chuột vào (tùy chọn) */
.news-ticker:hover .ticker-content {
	animation-play-state: paused;
}
/*-----Kết Thúc Chữ chạy----- */
.single-box img {
	aspect-ratio: 16 / 9;
	overflow: hidden;
	object-fit: cover;
	transition: .3s ease-in-out;
}
.dieuhuong {
	padding: 10px 0;
	background: #f8fbf1;
	border-bottom: 1px solid #ccc;
	margin-bottom: 30px;
}

.over-3row {
	display: -webkit-box;
	-webkit-box-orient: vertical;
	-webkit-line-clamp: 3;
	overflow: hidden;
	min-height: 19px;
}

.over-2row {
	display: -webkit-box;
	-webkit-box-orient: vertical;
	-webkit-line-clamp: 2;
	overflow: hidden;
	min-height: 19px;
}

.over-1row {
	display: -webkit-box;
	-webkit-box-orient: vertical;
	-webkit-line-clamp: 1;
	overflow: hidden;
	min-height: 19px;
}

.blog-detail-section .embed-responsive {
	padding-bottom: 0% !important;
}

.embed-responsive-16by9 {
	padding-top: 0% !important;
}